# Update Contact

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/operations/members/{member_id}:
    put:
      summary: Update Contact
      deprecated: false
      description: "Update contact/member ignoring uneditable properties. Proxy to members api endpoint\n\n## Error Responses\n\nStatus | Reason\n--------- | ----------- \n`403` | Not authorized to perform this action\n`470` | Some of required header is missing\n`404` | Member not found\n\n## Example\n\n```shell\ncurl -X PUT \\\n  \"https://api.mpc.placewise.com/v1/operations/members/12345\" \\\n  -H 'content-type: application/json' \\\n  -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICIyOE' \\\n  -H 'x-product-name: default' \\\n  -H 'x-user-agent: CURL manual test'\n  -d '{\n\t\"properties\": {\n\t\t\"email\": \"dev+6@example.com\",\n\t\t\"msisdn\": \"4740769126\",\n\t\t\"first_name\": \"The\",\n\t\t\"last_name\": \"Doge\"\n\t},\n\t\"consents\": {\n\t    \"consent1\": { \"status\": true },\n\t    \"consent2\": { \"status\": false }\n\t},\n\t\"send_sms_welcome_message\": false\n}'\n```\n\n## Response Body\n\nSee: [Member model](doc-342131#member)"
      tags:
        - API Reference/Operations API/Manager API/Members
      parameters:
        - name: member_id
          in: path
          description: ''
          required: true
          example: 1
          schema:
            type: integer
        - name: Content-Type
          in: header
          description: '[Details](doc-341635)'
          required: true
          example: application/json
          schema:
            type: string
            default: application/json
            const: application/json
        - name: X-User-Agent
          in: header
          description: Arbitrary identifier of your client. [Details](doc-341635)
          required: true
          example: '{{X_USER_AGENT}}'
          schema:
            type: string
            default: '{{X_USER_AGENT}}'
        - name: X-Product-Name
          in: header
          description: API Product for API context. [Details](doc-341635)
          required: true
          example: '{{PRODUCT_NAME}}'
          schema:
            type: string
            default: '{{PRODUCT_NAME}}'
        - name: X-Loyalty-Club-Slug
          in: header
          description: LoyaltyClub for API context. [Details](doc-342138)
          required: false
          example: '{{LOYALTY_CLUB_SLUG}}'
          schema:
            type: string
            default: '{{LOYALTY_CLUB_SLUG}}'
        - name: X-Customer
          in: header
          description: Customer for API context.  [Details](doc-342139)
          required: false
          example: '{{CUSTOMER_ID}}'
          schema:
            type: string
            default: '{{CUSTOMER_ID}}'
        - name: Authorization
          in: header
          description: '[Member](doc-342129) or [User](doc-342130) Authorization.'
          required: false
          example: Bearer {{_OAUTH_TOKEN}}
          schema:
            type: string
            default: Bearer {{_OAUTH_TOKEN}}
        - name: X-Client-Authorization
          in: header
          description: '[Token](doc-342128) Authorization.'
          example: '{{API_TOKEN}}'
          schema:
            type: string
            default: '{{API_TOKEN}}'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: API Reference/Operations API/Manager API/Members
      x-apidog-status: pending
      x-run-in-apidog: https://app.eu.apidog.com/web/project/346351/apis/api-3511265-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://api.mpc.dev.placewise.com
    description: Staging
security: []

```